@import url('https://fonts.googleapis.com/css2?family=Cairo&display=swap');

body{
    direction:rtl;
    font-family: 'Cairo', sans-serif;
    margin:0;padding:0;

}
.verification-code-container {
    display: flex;
    justify-content: space-between;

  }

  .verification-code-input {
    width: 40px;
    height: 40px;
    text-align: center;
    font-size: 20px;
    border: 1px solid #ccc;
    border-radius: 4px;
    margin-left: 4px;

    padding: 5px 10px;
  }

.notes{
    color:rgb(255, 255, 255);

    background-color:#1f1f1f;
margin-top:4px;
    padding:17px;
    text-align: center;


}
.wizard > .steps > ul > li, .wizard > .actions > ul > li {
float:right;
}

.row{
    max-width:100%;
    width:100%;
    padding:0;margin:0;
}
.input-row {
    display: flex;
    margin-bottom: 10px;
    flex-flow: row;
    justify-content: center;
    justify-items: center;
    flex-wrap: wrap;
    align-items: baseline;
    justify-items: center;


  }

  .input-row .input-box {
   min-width:0;

    width:32%;
    padding: 10px;
    border: 1px solid #dddfe2;
    border-radius: 6px;
    font-size: 14px;
    line-height: 20px;
    background-color: #f0f2f5;
    color: #1c1e21;
    margin-right:10px;
    margin-top:7px;
    display: flex;
    flex-flow: column;
    overflow: auto;


  }
  .__select_title{
    margin-bottom:13px;
  }

.modal{
    z-index: 9999999;
}

  .input-row .input-box img {
display: inline-block;
  }
  .input-row .input-box input {
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 10px;
    font-size: 16px;
    margin-top:10px;


  }


.input-box .error {
    position: relative;
    color: red;
    font-size: 16px;font-weight:bold;
    margin-top: 5px;
    padding-right: 20px;
  }

  /*.input-box .error::before {
    content: "";
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    width: 10px;
    height: 10px;
    background-color: red;
    border-radius: 50%;
  }*/
  .card {
    background-color: #f8f9fa;
    border-radius: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    transition: height 0.3s ease-in-out;
    overflow: hidden;
  }

  .card-header {
    padding: 10px;
    background-color: #f2f2f2;
    cursor: pointer;
  }

  .card-body {
    padding: 10px;
  }

  .card-body.collapse {
    padding: 0;
  }
  .preview-image-container{
    height:300px;
    overflow: auto;
  }
  .previewImage {
    width: 200px;
    height: auto;
    cursor: pointer;
     display: block;
     border:1px solid #f2f2f2;
     object-fit: cover;
     transition: transform 0.3s;
  }
  .previewImage:hover {
    transform: scale(1.1);
  }
  .__button {
    padding: 12px 24px;
    font-size: 18px;
    background-color: #4CAF50;
    color: white;
    border: none;
    outline: none;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    transition: transform 0.3s, box-shadow 0.3s;
  }

  .__button:before {
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.5);
    transition: left 0.3s;
    z-index: -1;
  }

  .__button:hover {
    transform: scale(1.1);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
  }

  .__button:hover:before {
    left: 0;
  }
  .input-row .input-box.file-box{
    min-width:48%;
    text-align: center;
    display: flex;
    justify-content: center;
    align-content: center;
    align-items: center;

}
.input-row .input-box.file-box{
    font-weight: bold;
}
.input-row .input-box.file-box>input{
    display: block;
    width:70%;
    margin-right:3px;
    background-color: #fff;

}
.partner-head
{
    display: flex;
    flex-flow: row;
    justify-content: space-between;
}
.error#code-2-error,#code-3-error,#code-4-error,#code-5-error,#code-6-error,#code-7-error,#code-8-error,#code-9-rror,
#code-10-error,#code-11-error
{
    display: none;
}
.disabled-input {
    display: inline-block;
    padding: 5px 10px;
    background-color: #f1f1f1;
    color: #888;
    border: 1px solid #ccc;
    border-radius: 3px;
    pointer-events: none;
    opacity: 0.7;
    width: 40px;
    height: 40px;
    text-align: center;
    font-size: 20px;
    margin-top:10px;
    /* Additional styling */
  }


  h1 {

  font-weight:300;
  letter-spacing: 2px;
  font-size:48px;
  }
  p {

  letter-spacing: 1px;
  font-size:14px;
  color: #333333;
  }
  .header {
  position:relative;
  text-align:center;
  background: linear-gradient(60deg, rgba(84,58,183,1) 0%, rgba(0,172,193,1) 100%);
  color:white;
  }
  .logo {
  width:50px;
  fill:white;
  padding-right:15px;
  display:inline-block;
  vertical-align: middle;
  }
  .inner-header {
  height:40vh;
  width:100%;
  margin: 0;
  padding: 0;
  }
  .flex { /*Flexbox for containers*/
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  flex-flow: column;
  }
  .waves {
  position:relative;
  width: 100%;
  height:15vh;
  margin-bottom:-7px; /*Fix for safari gap*/
  min-height:100px;
  max-height:150px;
  }
  .content {
  position:relative;
  height:20vh;
  text-align:center;
  background-color: white;
  }
  /* Animation */
  .parallax > use {
  animation: move-forever 25s cubic-bezier(.55,.5,.45,.5) infinite;
  }
  .parallax > use:nth-child(1) {
  animation-delay: -2s;
  animation-duration: 7s;
  }
  .parallax > use:nth-child(2) {
  animation-delay: -3s;
  animation-duration: 10s;
  }
  .parallax > use:nth-child(3) {
  animation-delay: -4s;
  animation-duration: 13s;
  }
  .parallax > use:nth-child(4) {
  animation-delay: -5s;
  animation-duration: 20s;
  }
  @keyframes move-forever {
  0% {
  transform: translate3d(-90px,0,0);
  }
  100% {
  transform: translate3d(85px,0,0);
  }
  }
  /*Shrinking for mobile*/
  @media (max-width: 768px) {
  .waves {
  height:40px;
  min-height:40px;
  }
  .content {
  height:30vh;
  }
  h1 {
  font-size:24px;
  }
  }
.footer{
    position: relative;
}
.copyright{
    position: absolute;
    bottom:20px;
    right:50%;
    color:#fff;
}
.button-container {

    padding: 10px;
    position: absolute;
    right:13%;
    top:48%;
  }

  .button-list {
    list-style-type: none;
    margin: 0;
    padding: 0;
  }

  .button-list li {
    margin-bottom: 10px;
  }

  .button-list li a {
    display: block;
    padding: 10px 20px;
    text-decoration: none;
    color: #fff;
    background-color: #337ab7;
    border-radius: 5px;
    transition: background-color 0.3s ease;
  }

  .button-list li a:hover {
    background-color: #135fa4;
  }

  .custom-container {

    padding: 10px;
  }

  .custom-list {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
  }

  .custom-list li {
    margin-right: 16px;
  }


  .custom-list li a {
    display: block;
    padding: 10px 20px;
    text-decoration: none;
    color: #fff;
    background-color: #337ab7;
    border-radius: 5px;
    border: 2px solid #fff; /* Add border styles */
    transition: transform 0.3s ease;
  }

  .custom-list li a:hover {
    transform: scale(1.1);
    background-color: #135fa4;
    border-color: #fff; /* Change border color on hover */
  }
  .wizard > .content > .body{
    position: relative;
    padding:0px;
}

.wizard > .content {
    position: relative;
    padding:0px;
    height:100%;
}
.rmd_modal {
    display: none;
    position: fixed;
    z-index: 999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.5);
  }

  .rmd_modal .modal-content {
    background-color: #fff;
    margin: 10% auto;
    padding: 20px;
    border-radius: 10px;
    width: 60%;
  }

  .rmd_modal .close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
    cursor: pointer;
  }

  .rmd_modal .close:hover {
    color: #000;
  }
  .progress_modal {
    display: none;
    position: fixed;
    z-index: 999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
  }

  .progress_modal-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  .spinner {
    display: inline-block;
    width: 50px;
    height: 50px;
    border: 4px solid #f3f3f3;
    border-top: 4px solid #337ab7;
    border-radius: 50%;
    animation: spin 1s linear infinite;
  }

  @keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
  }
#full_phone_number
{
    visibility: hidden;
}
input[type="file"]::after {
    content: "الملفات المسموحة :png,jpg";
    color: red;
    margin-left: 5px;
  }
  #agent_eform .__input_container   {
padding:4px;
margin-top: 8px;
  }
.__input_text
{
    font-weight: bold;
    color: black !important;
    font-size: 15px;
}
input {
    width: 100%;
    padding: 15px 12px;
    border: 1px solid #ddd;
    border-radius: 4px;
    font-size: 16px;
  }
